PipeWire: utils.h File Reference

PipeWire 0.3.37

Data Structures | Macros | Functions
build/doc/spa/monitor/utils.h File Reference
Include dependency graph for build/doc/spa/monitor/utils.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Data Structures
struct | spa_result_device_params_data

## Macros
#define | spa_device_emit(hooks, method, version, ...)
#define | spa_device_emit_info(hooks, i) spa_device_emit(hooks,info, 0, i)
#define | spa_device_emit_result(hooks, s, r, t, res) spa_device_emit(hooks,result, 0, s, r, t, res)
#define | spa_device_emit_event(hooks, e) spa_device_emit(hooks,event, 0, e)
#define | spa_device_emit_object_info(hooks, id, i) spa_device_emit(hooks,object_info, 0, id, i)

## Functions
void | spa_result_func_device_params (void *data, int seq, int res, uint32_t type, const void *result)
int | spa_device_enum_params_sync (struct spa_device *device, uint32_t id, uint32_t *index, const struct spa_pod *filter, struct spa_pod **param, struct spa_pod_builder *builder)

## Macro Definition Documentation

## ◆ spa_device_emit

#define spa_device_emit | ( |  | hooks,
|  |  | method,
|  |  | version,
|  |  | ...
| ) |  |

Value:
spa_hook_list_call_simple(hooks, struct spa_device_events, \
method, version, ##__VA_ARGS__)
spa_hook_list_call_simple
#define spa_hook_list_call_simple(l, type, method, vers,...)
Definition: hook.h:372
spa_device_events
spa_device_events:
Definition: build/doc/spa/monitor/device.h:117

## ◆ spa_device_emit_event

#define spa_device_emit_event | ( |  | hooks,
|  |  | e
| ) |  | spa_device_emit(hooks,event, 0, e)

## ◆ spa_device_emit_info

#define spa_device_emit_info | ( |  | hooks,
|  |  | i
| ) |  | spa_device_emit(hooks,info, 0, i)

## ◆ spa_device_emit_object_info

#define spa_device_emit_object_info | ( |  | hooks,
|  |  | id,
|  |  | i
| ) |  | spa_device_emit(hooks,object_info, 0, id, i)

## ◆ spa_device_emit_result

#define spa_device_emit_result | ( |  | hooks,
|  |  | s,
|  |  | r,
|  |  | t,
|  |  | res
| ) |  | spa_device_emit(hooks,result, 0, s, r, t, res)

## Function Documentation

## ◆ spa_device_enum_params_sync()

int spa_device_enum_params_sync | ( | struct spa_device * | device,
|  | uint32_t | id,
|  | uint32_t * | index,
|  | const struct spa_pod * | filter,
|  | struct spa_pod ** | param,
|  | struct spa_pod_builder * | builder
| ) |  |
| inline

References spa_result_device_params_data::builder.

## ◆ spa_result_func_device_params()

void spa_result_func_device_params | ( | void * | data,
|  | int | seq,
|  | int | res,
|  | uint32_t | type,
|  | const void * | result
| ) |  |
| inline

References spa_result_device_params_data::builder, spa_result_device_params_data::data, spa_result_device_params::next, spa_pod_builder_state::offset, spa_result_device_params::param, spa_pod_builder_deref(), spa_pod_builder_raw_padded(), SPA_POD_SIZE, and spa_pod_builder::state.